@mixin f-select {
    .f-select {
        &-element_wrapper {
            display: block;
            position: relative;
        }

        &-element {
            @include f-input_field;
            @include f-input_field(type_select);
        }

        option {
            &:checked {
                color: color(black);
            }
        } 

        &.m-error &-element_wrapper {
            &::after {
                color: color(red);
            }
        }

        &.m-error &-element {
            @include f-input_field(error);
        }

        &.m-disabled &-element {
            @include f-input_field(disabled);
        }

        &-label {
            @include f-input_label;
            @include f-input_label($mod: static);
            @include f-input_label(_optional_copy);
        }

        &.m-required &-label {
            @include f-input_label($mod: required);
        }

        &.m-simple &-element_wrapper {
            display: inline-block;

            &::after {
                right: 0;
            }
        }

        &.m-filled &-element,
        &-element_wrapper.m-filled &-element {
            color: color(black);
        }

        &.m-filled &-element_wrapper::after,
        &-element_wrapper.m-filled::after {
            opacity: 1;
        }

        &-label_description {
            @include f-input_label(_label_description);
        }

        &.m-simple &-element {
            border: none;
            line-height: normal;
            padding: 0;
            width: auto;
        }

        &-label_link {
            @include f-input_label(_label_link);
        }
    }
}

/*
# Select

## Default select //TODO: make description like for the input_text

```html_example
<div class="f-select">
    <span class="f-select-element_wrapper">
        <select class="f-select-element">
            <option value="" disabled></option>
            <option value="dog">Dog</option>
            <option value="cat">Cat</option>
            <option value="hamster">Hamster</option>
            <option value="parrot">Parrot</option>
            <option value="spider">Spider</option>
            <option value="goldfish">Goldfish</option>
        </select>
    </span>
</div>
```

## Default select with label

```html_example
<div class="f-select">
    <label class="f-select-label ">Choose a pet</label>
    <span class="f-select-element_wrapper">
        <select class="f-select-element">
            <option value="" disabled></option>
            <option value="dog">Dog</option>
            <option value="cat">Cat</option>
            <option value="hamster">Hamster</option>
            <option value="parrot">Parrot</option>
            <option value="spider">Spider</option>
            <option value="goldfish">Goldfish</option>
        </select>
    </span>
</div>
```

### Select is required

```html_example
<div class="f-select m-required">
    <label class="f-select-label">Choose a pet</label>
    <span class="f-select-element_wrapper">
        <select class="f-select-element" required>
            <option value="" disabled></option>
            <option value="dog">Dog</option>
            <option value="cat">Cat</option>
            <option value="hamster">Hamster</option>
            <option value="parrot">Parrot</option>
            <option value="spider">Spider</option>
            <option value="goldfish">Goldfish</option>
        </select>
    </span>
</div>
```

### Active select (optional)

```html_example
<div class="f-select m-prefilled">
    <label class="f-select-label">Choose a pet<span class="f-select-optional_copy"> (optional)</span></label>
    <span class="f-select-element_wrapper">
        <select class="f-select-element">
            <option value="" disabled></option>
            <option value="dog" selected>Dog</option>
            <option value="cat">Cat</option>
            <option value="hamster">Hamster</option>
            <option value="parrot">Parrot</option>
            <option value="spider">Spider</option>
            <option value="goldfish">Goldfish</option>
        </select>
    </span>
</div>
```

### Select in error state

```html_example
<div class="f-select m-error">
    <span class="f-select-element_wrapper">
        <select class="f-select-element">
            <option value="" disabled></option>
            <option value="dog">Dog</option>
            <option value="cat">Cat</option>
            <option value="hamster">Hamster</option>
            <option value="parrot">Parrot</option>
            <option value="spider">Spider</option>
            <option value="goldfish">Goldfish</option>
        </select>
    </span>
</div>
```

### Disabled select

```html_example
<div class="f-select m-disabled">
    <span class="f-select-element_wrapper">
        <select class="f-select-element" disabled>
            <option value="" disabled></option>
            <option value="dog">Dog</option>
            <option value="cat">Cat</option>
            <option value="hamster">Hamster</option>
            <option value="parrot">Parrot</option>
            <option value="spider">Spider</option>
            <option value="goldfish">Goldfish</option>
        </select>
    </span>
</div>
```
*/

@include f-select;
